Bug 18848

Summary: System.Net.Http.HttpClientHandler doesn't close TCP connections after Dispose call
Product: [Mono] Class Libraries Reporter: Horácio J. C. Filho <hjcf>
Component: mscorlibAssignee: Marek Safar <masafa>
Status: RESOLVED FIXED    
Severity: normal CC: masafa, mono-bugs+mono
Priority: ---    
Version: 3.2.x   
Target Milestone: Untriaged   
Hardware: PC   
OS: Windows   
Tags: Is this bug a regression?: ---
Last known good build:

Description Horácio J. C. Filho 2014-04-07 19:57:09 UTC
Mono's System.Net.HttpClient doesn't close TCP connections after Dispose call, I have checked the Dispose method implementation and it does nothing. This doesn't match .Net' HttpClient implementation that close the group of TCP connections used by this class.
Comment 1 Horácio J. C. Filho 2014-04-08 02:52:37 UTC
Sorry my miskate. 

I meant the System.Net.Http.HttpClientHandler not the System.Net.Http.HttpClient.

Thanks for all :)
Comment 2 Marek Safar 2014-04-09 14:37:25 UTC
Fixed in master